@import "src/components/Theme";

.mainPageHeader {
  box-shadow: 0 8px 32px rgba(74, 83, 114, 0.08);
  display: flex;
  background: $mainWhite;


  .container {
    @include containerLayout;
    display: flex;
    align-items: center;

    aside {
      flex-grow: 1;
      display: flex;
      justify-content: flex-end;
      align-items: center;
    }
  }

  .title {
    @include h2HeadlineType($mainDark);
    font-weight: 500;
    font-size: 18px;
    line-height: 24px;
    display: flex;
    margin-right: 44px;

    .logo {
      width: 24px;
      height: 24px;
      margin-right: 8px;
      color: $mainBlue;
    }
  }

  a {
    @include bodyMediumType($mainDark);
    text-decoration: none;
    border-top: 2px solid transparent;
    padding-top: 20px;
    padding-bottom: 22px;
    margin-right: 36px;
    user-select: none;
    display: flex;
    align-items: baseline;

    i {
      @include captionType($mainWhite);
      background: $mainYellow64;
      width: 16px;
      height: 16px;
      border-radius: 50%;
      display: flex;
      align-items: center;
      justify-content: center;
      margin-left: 8px;
    }


    &.active {
      color: $mainBlue;
      border-top: 2px solid $mainBlue;
    }

    &:hover {
      color: $mainBlueHover;
    }

    &:active {
      color: $mainBluePressed;
    }
  }
}